Skip to content
GAMPEONCreate
New project

Audit log

GET
/v1/communities/{id}/audit-log
curl --request GET \
--url https://api.gampeon.com/v1/communities/1/audit-log \
--header 'Authorization: Bearer <token>'

Needs viewAuditLog. The last 200 changes: settings, channels, roles, kicks, bans, timeouts, removed messages, invites.

Not available with access tokens.

id
required
integer
>= 1

Community ID

Entries, newest first

Media typeapplication/json
object
entries
required
Array<object>
object
id
required
integer
action
required
string
target
required
string
detail
required
object
key
additional properties
createdAt
required

Unix time in milliseconds

integer format: int64
actor
required
One of:
string
actorName
required
One of:
string

Example generated

{
"entries": [
{
"id": 1,
"action": "example",
"target": "example",
"detail": {
"additionalProperty": "example"
},
"createdAt": 1,
"actor": "example",
"actorName": "example"
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, missing_permission

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback